_G.LobbyWelcome = _G.LobbyWelcome or {}
LobbyWelcome._path = ModPath
LobbyWelcome._data_path = SavePath .. "LobbyWelcome_Config.json"
LobbyWelcome._data = {}

function LobbyWelcome:Save()
	local file = io.open(self._data_path, "w")
	if file then
		file:write(json.encode(self._data))
		file:close()
	end
end

function LobbyWelcome:Load()
	local file = io.open(self._data_path, "r")
	
	if file then
		self._data = json.decode(file:read("*all"))
		file:close()
	end
	if not file then
		LobbyWelcome._data.LobbyWelcome_messagedelay = 5
		LobbyWelcome:Save()
	end
end

Hooks:AddHook("LocalizationManagerPostInit" , "LocalizationManagerPostInit_LobbyWelcome", function(loc)
	loc:load_localization_file(LobbyWelcome._path .. "loc/en.txt")
end)

Hooks:AddHook("MenuManagerInitialize", "MenuManagerInitialize_LobbyWelcome", function(menu_manager)
	MenuCallbackHandler.LobbyWelcome_messagedelay_callback = function(self, item)
		LobbyWelcome._data.LobbyWelcome_messagedelay = item:value()
		LobbyWelcome:Save()
	end
	
	LobbyWelcome:Load()
	MenuHelper:LoadFromJsonFile(LobbyWelcome._path .. "menu/options.json", LobbyWelcome, LobbyWelcome._data)
end)

function LobbyWelcome:LobbyWelcome_messagedelay()
	return LobbyWelcome._data.LobbyWelcome_messagedelay
end